Block Provider Customer Purchases
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
clientOrganizationIdstring
reason?string
Why a VM or purchase was seized/blocked.
Default
"COMPLIANCE_REASON_UNSPECIFIED"Value in
"COMPLIANCE_REASON_UNSPECIFIED" | "COMPLIANCE_REASON_FRAUD" | "COMPLIANCE_REASON_ABUSE" | "COMPLIANCE_REASON_COPYRIGHT" | "COMPLIANCE_REASON_OTHER"message?string
Response Body
application/json
curl -X POST "https://api.noderings.com/v1/provider/customers/{clientOrganizationId}:block-purchases" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{ "reason": "COMPLIANCE_REASON_UNSPECIFIED", "message": "string"}'{
"success": true
}